function [T2,p2,V2,dU,dW,dQ,dS,pv,Vv,Sv,Tv]= isob(T1,p1,V1,cp,efall,wert,points )
%Berechnung des isobaren Schrittes

R=8.314;

  switch efall
      case 3
         V2=wert;
         
         p2=p1;
         T2=(V2/V1)*T1;
      case 1
         T2=wert;
         
         p2=p1;
         V2=V1*(T2/T1); 
      otherwise     
          error('falsche variable');
  end
  
   %Darstellung
  Vv=linspace(V1,V2,points);  
  pv=p1*ones(size(Vv));
  
  Tv=T1*(Vv/V1);
  
  %Arbeit
  dW=p1*(V1-V2);
  
  %Waerme
  dQ=p1*V1/R/T1*cp*(T2-T1);
  
  %Innere Energie
  dU=dQ+dW; 
  

  
  %T-S - Diagramm
  Sv=p1*V1/R/T1*cp*log(Tv/T1);
  %Entropie
  dS=Sv(end);
  
end

