function [ data ] = startcallback(data)
%Eingabe des Startpunkts/Startdaten

T1=get(data.startpunkt_temp_ed,'string');
T1=str2num(T1);
data.T1=T1;

V1=get(data.startpunkt_volumen_ed,'string');
V1=str2num(V1);
data.V1=V1;

p1=get(data.startpunkt_druck_ed,'string');
p1=str2num(p1);
data.p1=p1;

kappa=get(data.startpunkt_kappa_ed,'string');
kappa=str2num(kappa);
data.kappa=kappa;

%Adiabatenwerte
R=data.R;
switch data.adiabtisch_wahl
    case 1
        gam=get(data.startpunkt_adiab,'string');
        gam=str2num(gam);
        cv=R/(gam-1);
        cp=cv*gam;
    case 2
        cv=get(data.startpunkt_adiab,'string');
        cv=str2num(cv);
        cp=cv+R;
        gam=cp/cv;
    case 3
        cp=get(data.startpunkt_adiab,'string');
        cp=str2num(cp);
        cv=cp-R;
        gam=cp/cv;
end        

data.cv=cv;
data.cp=cp;
data.gam=gam; %Adiabatenexponent


set(data.eingabe_startpunkt,'visible','off')
set(data.prozesse,'visible','on');

end

